%define	name edje
%define	version 1.0.0
%define release %mkrel -c beta 1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Complex graphical design & layout library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/releases/%{name}-%{version}.beta.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	embryo-devel => 1.0.0
BuildRequires:	ecore-devel => 1.0.0
BuildRequires:	lua-devel

%description
A graphical layout and animation library for animated resizable, compressed
and scalable themes.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the edje package
Group: System/Libraries

%description -n %libname
Libraries for edje.

%package -n %libnamedev
Summary: Enlightenment edje headers and development libraries
Group: Development/Other
Requires: %libname = %version
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %libnamedev
Edje development headers and libraries.

%prep
%setup -qn %{name}-%{version}.beta

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README 
%_bindir/%{name}_*
%_bindir/inkscape2edc
%_datadir/%name
%_datadir/mime/packages/edje.xml

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.*a
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog
* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585326
- 1.0.0 beta

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.9.99.49898-1mdv2011.0
+ Revision: 553947
- new version 0.9.99.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.9.93.063-1mdv2010.1
+ Revision: 478159
- BR lua
- new version 0.9.93.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.9.92.062-1mdv2010.0
+ Revision: 411121
- new version 0.9.92.062

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.9.92.061-2mdv2010.0
+ Revision: 393399
- rebuild
- new version 0.9.92.061

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.9.92.060-2mdv2010.0
+ Revision: 392830
- rebuild for new ecore

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.9.92.060-1mdv2010.0
+ Revision: 370692
- New version 0.9.92.060

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.9.9.050-2mdv2009.1
+ Revision: 345538
- update buildrequires (ecore version)
- SVN SNAPSHOT 20090227, release 0.9.9.050

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.9.9.050-1mdv2009.1
+ Revision: 292677
- update file list
- New version 0.9.9.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9.043-2mdv2009.0
+ Revision: 266611
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.9.9.043-1mdv2009.0
+ Revision: 213956
- New version 0.9.9.043

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0.042-3mdv2008.1
+ Revision: 170808
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Antoine Ginies <aginies@mandriva.com>
    - remove old source

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.5.0.042-2mdv2008.1
+ Revision: 168916
- adjust buildrequires

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.5.0.042-1mdv2008.1
+ Revision: 161513
- new version
- fix URL
- fix provides
- drop edje-config
- no major in devel package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.041-1mdv2008.1
+ Revision: 104095
- new release
- adjust buildrequires
- fix missing file edje-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.5.0.038

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-5mdv2008.0
+ Revision: 33073
- adjust some provides

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-4mdv2008.0
+ Revision: 32755
- fix buildrequires, add provides: %%name-%%release

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-3mdv2008.0
+ Revision: 32625
- CVS SNAPSHOT 20070529, release 0.5.0.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-2mdv2008.0
+ Revision: 30647
- increase mkrel
- CVS snapshot 20070524, release 0.5.0.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-1mdv2008.0
+ Revision: 29183
- fix Builrequires
- scvs snapshot 20070516, release 0.5.0.038

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.0.037-2mdv2008.0
+ Revision: 17719
- Rebuild with the new ecore

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.0.037-1mdv2008.0
+ Revision: 17694
- New snapshot
- Use autoconf2.5
- Import edje



* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 0.5.0.025-0.20060323.2mdv2007.0
- rebuild

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.5.0.025-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.5.0.023-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.5.0.023-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.019-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.5.0.018-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.5.0.018-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.5.0.013-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.5.0.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.5.0.010-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.5.0.008-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.3mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.2mdk
- more fixes

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.1mdk
- new cvs checkout
- tidy spec

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.2mdk
- add some requires exceptions
- fix libedje-devel requires 

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.1mdk
- 0.5.0 20040913
